osgWidget::Style Class Reference

`#include <StyleManager>`

Inheritance diagram for osgWidget::Style:

## Public Member Functions

| META_Object (osgWidget, Style)
| Style (const std::string &="", const std::string &="")
| Style (const Style &, const osg::CopyOp &)
virtual bool | applyStyle (Widget *, Reader)
virtual bool | applyStyle (Label *, Reader)
virtual bool | applyStyle (Input *, Reader)
virtual bool | applyStyle (Window *, Reader)
virtual bool | applyStyle (Window::EmbeddedWindow *, Reader)
virtual bool | applyStyle (Box *, Reader)
virtual bool | applyStyle (Frame::Corner *, Reader)
virtual bool | applyStyle (Frame::Border *, Reader)
virtual bool | applyStyle (Canvas *, Reader)
void | setStyle (const std::string &style)
std::string & | getStyle ()
const std::string & | getStyle () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Static Public Member Functions

static Widget::Layer | strToLayer (const std::string &)
static Widget::VerticalAlignment | strToVAlign (const std::string &)
static Widget::HorizontalAlignment | strToHAlign (const std::string &)
static Widget::CoordinateMode | strToCoordMode (const std::string &)
static bool | strToFill (const std::string &)
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Protected Member Functions

bool | _match (const char *seq, Reader r)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

std::string | _style
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Constructor & Destructor Documentation

## Style() [1/2]

osgWidget::Style::Style | ( | const std::string & | = "",
|  | const std::string & | = "" )

Referenced by META_Object(), and Style().

## Style() [2/2]

osgWidget::Style::Style | ( | const Style & | ,
|  | const osg::CopyOp & | )

References Style().

## Member Function Documentation

## _match()

bool osgWidget::Style::_match | ( | const char * | seq,
|  | Reader | r )

inline protected

References osgDB::FieldReaderIterator::matchSequence().

## applyStyle() [1/9]

virtual bool osgWidget::Style::applyStyle | ( | Box * | ,
|  | Reader | )

virtual

## applyStyle() [2/9]

virtual bool osgWidget::Style::applyStyle | ( | Canvas * | ,
|  | Reader | )

virtual

## applyStyle() [3/9]

virtual bool osgWidget::Style::applyStyle | ( | Frame::Border * | ,
|  | Reader | )

virtual

## applyStyle() [4/9]

virtual bool osgWidget::Style::applyStyle | ( | Frame::Corner * | ,
|  | Reader | )

virtual

## applyStyle() [5/9]

virtual bool osgWidget::Style::applyStyle | ( | Input * | ,
|  | Reader | )

virtual

## applyStyle() [6/9]

virtual bool osgWidget::Style::applyStyle | ( | Label * | ,
|  | Reader | )

virtual

## applyStyle() [7/9]

virtual bool osgWidget::Style::applyStyle | ( | Widget * | ,
|  | Reader | )

virtual

## applyStyle() [8/9]

virtual bool osgWidget::Style::applyStyle | ( | Window * | ,
|  | Reader | )

virtual

## applyStyle() [9/9]

virtual bool osgWidget::Style::applyStyle | ( | Window::EmbeddedWindow * | ,
|  | Reader | )

virtual

## getStyle() [1/2]

std::string & osgWidget::Style::getStyle | ( |  | ) |

inline

References _style.

## getStyle() [2/2]

const std::string & osgWidget::Style::getStyle | ( |  | ) | const

inline

References _style.

## META_Object()

osgWidget::Style::META_Object | ( | osgWidget | ,
|  | Style | )

References Style().

## setStyle()

void osgWidget::Style::setStyle | ( | const std::string & | style | ) |

inline

References _style.

## strToCoordMode()

Widget::CoordinateMode osgWidget::Style::strToCoordMode | ( | const std::string & |  | ) |

static

## strToFill()

bool osgWidget::Style::strToFill | ( | const std::string & |  | ) |

static

## strToHAlign()

Widget::HorizontalAlignment osgWidget::Style::strToHAlign | ( | const std::string & |  | ) |

static

## strToLayer()

Widget::Layer osgWidget::Style::strToLayer | ( | const std::string & |  | ) |

static

## strToVAlign()

Widget::VerticalAlignment osgWidget::Style::strToVAlign | ( | const std::string & |  | ) |

static

## Member Data Documentation

## _style

std::string osgWidget::Style::_style

protected

Referenced by getStyle(), getStyle(), and setStyle().

The documentation for this class was generated from the following file:

- StyleManager